#declare pointer_tex = texture
{
        pigment
        {
                color rgb< 0, 0, 0 >
        }
        finish
        {
                phong 0.4 
                ambient 0.0
        }
}

#declare display_tex = texture
{
        pigment
        {
                color rgb< 1, 1, 1 >
        }
        finish
        {
                reflection 0.1
                ambient 0.0
        }
}

#declare gold_tex = texture
{
        pigment
        {
                color rgb< 1, 0.9, 0 >
        }
        normal
        {
                dents 0.5
                scale 0.05                
        }
        finish
        {    
                reflection 0.2
                phong 0.4  
                ambient 0.0
        }
}

#declare glass_tex = texture
{
        pigment
        {
                color rgbt< 1, 1, 1, 0.9 >
        }
        finish
        {
                reflection 0.7
                phong 0.6  
                ambient 0.0
        }
}

#declare pointer = union
{
        torus
        {
                1, 0.5
        }
        cylinder
        {
                <0, 0, 1 >, <0, 0, 10 >, 0.5
        }
        cone
        {
                <0, 0, 10 >, 0.5, <0, 0, 11>, 0
        }
        union
        {
                cylinder
                {
                        <0, 0, 0 >, <0, 0, 2 >,0.5
                        rotate< 0, 135, 0 >
                }
                cylinder
                {
                        <0, 0, 0 >, <0, 0, 2 >,0.5
                        rotate< 0, -135, 0 >
                }
                translate< 0, 0, 10 >
        }
        
        texture{ pointer_tex }
}

#declare big_pointer = union
{
        torus
        {
                1, 0.5
        }
        cylinder
        {
                <0, 0, 1 >, <0, 0, 15 >, 0.5
        }
        cone
        {
                <0, 0, 15 >, 0.5, <0, 0, 16>, 0
        }
        union
        {
                cylinder
                {
                        <0, 0, 0 >, <0, 0, 2 >,0.5
                        rotate< 0, 135, 0 >
                }
                cylinder
                {
                        <0, 0, 0 >, <0, 0, 2 >,0.5
                        rotate< 0, -135, 0 >
                }
                translate< 0, 0, 15 >
        }
        
        texture{ pointer_tex }
}

#declare knob = cylinder
{
        <0, -0.5, 0 >, <0, 0.5, 0 >, 1
        texture{ pointer_tex }
}

#declare display = union
{
        object
        {
                big_pointer
        }
        object
        {
                pointer
                rotate< 0, 45, 0 >
        } 
#declare rot_val = 0;
#while( rot_val < 360 )
        object
        {
                knob
#if( rot_val = 0 | rot_val = 90 | rot_val = 180 | rot_val = 270 )
                scale< 1.5, 1, 1.5 >
#end
                translate< 0, 0, 18 >                
                rotate< 0, rot_val, 0 >
        }                              
#declare rot_val = rot_val + 30;
#end
        cylinder
        {
                <0, 0, 0 >, < 0, -1, 0 >,20
                texture{ display_tex }
        }
        
        rotate< -90, 0, 0 >
}

#declare theclock = union
{
        union
        {       
                difference
                {
                        sphere
                        {
                                <0, 0, 0 >,1
                                scale< 1, 1, 0.25 >
                        }
                        cylinder
                        {
                                <0, 0, 0>, <0, 0, -1 >,0.75
                        }
                }
                torus
                {
                        0.09, 0.1
                        rotate< 0, 0, 90 >
                        translate< 0, 1, 0 >
                }
                torus
                {
                        0.2, 0.05
                        rotate< 90, 0, 0 >
                        translate< 0, 1.2, 0 >
                }
                texture{ gold_tex }
        } 
        difference
        {
                difference
                {
                        sphere
                        {
                                <0, 0, 0 >,0.8  
                        }
                        box
                        {
                                <-1, -1, 0 >,<1, 1, 1 >
                        }
                }
                sphere
                {
                        <0, 0, 0 >,0.75
                }
                translate<0, 0, -0.5 >
                scale< 1, 1, 0.25 >
                texture{ glass_tex }
        }
        object
        {
                display                  
                translate< 0, 0, -0.1 >
                scale <0.04, 0.04, 0.04 >
        }
}
